aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2011-03-07 12:39:12 +0100
committerJustin Lecher <jlec@gentoo.org>2011-03-07 12:39:12 +0100
commit2ecdaf972eaef99aa9b35617263212eabb7d8c9a (patch)
tree52b876837a6c4832ffccf08301283ecd0da8d46f /sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild
parentQA STUFF (diff)
downloadsci-2ecdaf972eaef99aa9b35617263212eabb7d8c9a.tar.gz
sci-2ecdaf972eaef99aa9b35617263212eabb7d8c9a.tar.bz2
sci-2ecdaf972eaef99aa9b35617263212eabb7d8c9a.zip
Correct Slots for gtk 3 introduction to tree
(Portage version: 2.2.0_alpha26/git/Linux x86_64, signed Manifest commit with key 70EB7916)
Diffstat (limited to 'sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild')
-rw-r--r--sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild37
1 files changed, 20 insertions, 17 deletions
diff --git a/sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild b/sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild
index 98fbac271..8d7af4ebf 100644
--- a/sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild
+++ b/sci-misc/salome-kernel/salome-kernel-5.1.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -7,7 +7,7 @@ PYTHON_DEPEND="2:2.4"
inherit eutils python
-DESCRIPTION="SALOME : The Open Source Integration Platform for Numerical Simulation. KERNEL Component"
+DESCRIPTION="The Open Source Integration Platform for Numerical Simulation - KERNEL Component"
HOMEPAGE="http://www.salome-platform.org"
SRC_URI="http://files.opencascade.com/Salome/Salome${PV}/src${PV}.tar.gz"
@@ -16,22 +16,25 @@ KEYWORDS="~amd64 ~x86"
SLOT="0"
IUSE="debug doc mpi numpy"
-RDEPEND="mpi? ( || ( sys-cluster/openmpi[cxx]
- sys-cluster/mpich2[cxx] ) )
- debug? ( dev-util/cppunit )
- numpy? ( dev-python/numpy )
- >=dev-python/omniorbpy-3.4
- >=net-misc/omniORB-4.1.4
- >=dev-libs/boost-1.40.0
- sci-libs/hdf5"
-
+RDEPEND="
+ >=dev-python/omniorbpy-3.4
+ >=net-misc/omniORB-4.1.4
+ >=dev-libs/boost-1.40.0
+ sci-libs/hdf5
+ debug? ( dev-util/cppunit )
+ mpi?
+ ( || (
+ sys-cluster/openmpi[cxx]
+ sys-cluster/mpich2[cxx]
+ ) )
+ numpy? ( dev-python/numpy )"
DEPEND="${RDEPEND}
- >=app-doc/doxygen-1.5.6
- media-gfx/graphviz
- dev-python/docutils
- dev-lang/swig
- dev-libs/libxml2
- >=dev-python/docutils-0.4"
+ >=app-doc/doxygen-1.5.6
+ media-gfx/graphviz
+ dev-python/docutils
+ dev-lang/swig
+ dev-libs/libxml2:2
+ >=dev-python/docutils-0.4"
MODULE_NAME="KERNEL"
S="${WORKDIR}/src${PV}/${MODULE_NAME}_SRC_${PV}"